> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /packagist/packages/downloads

> Get download statistics for a Packagist package

**Price:** 1 credit

**⚠️ Common errors:** 412: Package not found



## OpenAPI

````yaml /openapi/package-registries.json post /api/packagist/packages/downloads
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/packagist/packages/downloads:
    post:
      tags:
        - /packagist
      summary: /packagist/packages/downloads
      description: |-
        Get download statistics for a Packagist package

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Package not found
      operationId: __api_packagist_packages_downloads_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PackagistDownloadsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PackagistDownloads'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PackagistDownloadsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        package:
          type: string
          minLength: 1
      type: object
      required:
        - package
    PackagistDownloads:
      properties:
        '@type':
          type: string
          default: PackagistDownloads
        package:
          type: string
        download_count:
          type: integer
          default: 0
        monthly_download_count:
          type: integer
          default: 0
        daily_download_count:
          type: integer
          default: 0
        versions:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - package
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````